package com.ahau.againstpest.presenter;

import java.lang.ref.WeakReference;

/**
 * 注释:
 *
 * @author fanchunchun
 * @date 2018/4/3
 */

public class BasePresenter<T > {
    //1, view 层的引用
    protected WeakReference<T> mViewRef;


    //进行绑定
    public void attachView(T view) {
        mViewRef = new WeakReference<T>(view);
    }

    //进行解绑
    public void detachView() {
        mViewRef.clear();
    }
}
